play.classloading.hash

## Class ClassStateHashCreator

- java.lang.Object
- - play.classloading.hash.ClassStateHashCreator

-     public class ClassStateHashCreator
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassStateHashCreator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `computePathHash(java.util.List<VirtualFile> paths)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassStateHashCreator

          public ClassStateHashCreator()

  - ### Method Detail

    - #### computePathHash

          public int computePathHash(java.util.List<VirtualFile> paths)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly